MONGOC_DATABASE_DROP(3)

NAME
mongoc_database_drop() - bool mongoc_database_drop (mongoc_database_t *database,
                      bson_error_t *error);

SYNOPSIS

bool
mongoc_database_drop (mongoc_database_t *database,
                      bson_error_t      *error);

This function attempts to drop a database on the MongoDB server.

PARAMETERS

database
    A mongoc_database_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.